Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 817378 - Evince doesn't display some images
Summary: Evince doesn't display some images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 16
Hardware: i386
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-29 14:52 UTC by Andrea Dell'Amico
Modified: 2012-05-07 04:16 UTC (History)
1 user (show)

Fixed In Version: poppler-0.18.4-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-07 04:16:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrea Dell'Amico 2012-04-29 14:52:51 UTC
Description of problem:
Evince doesn't display some images, while other images even in the same document are displayed

Version-Release number of selected component (if applicable):
evince-3.2.1-2.fc16.i686

How reproducible:
Here is a document: http://www.motoadv.org/file/MotoadventureMagazine_3_1.pdf

Steps to Reproduce:
1. Open the document above
2. Go to page 14. All the boxes from page 14 to page 29 should have images inside.
3. Open the same document with acrobat reader to see the difference.
  

The document was made on a Mac, don't know the version.

Comment 1 Fedora Update System 2012-05-04 12:44:03 UTC
poppler-0.18.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/poppler-0.18.4-3.fc17

Comment 2 Marek Kašík 2012-05-04 12:47:06 UTC
I've committed a backported patch from http://cgit.freedesktop.org/poppler/poppler/commit/?id=aaae8996766f259dcc329755c7cccde7c916c1fb to Fedora 17 and rawhide. Fixing this in Fedora 16 would need an ABI change.

Regards

Marek

Comment 3 Fedora Update System 2012-05-04 22:16:17 UTC
Package poppler-0.18.4-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poppler-0.18.4-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7310/poppler-0.18.4-3.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-05-07 04:16:24 UTC
poppler-0.18.4-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.